MWAWField Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
MWAWField Struct Reference

a field More...

`#include <libmwaw_internal.hxx>`

## Public Types
enum | Type { None, PageCount, PageNumber, Date, Time, Title, Database }
| Defines some basic type for field. More...

## Public Member Functions
| MWAWField (Type type)
| basic constructor More...
| MWAWField (MWAWField &&)=default
| MWAWField (MWAWField const &)=default
MWAWField & | operator= (MWAWField const &)=default
MWAWField & | operator= (MWAWField &&)=default
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist (if possible) More...
librevenge::RVNGString | getString () const
| returns a string corresponding to the field (if possible) */ More...

## Public Attributes
Type | m_type
| the type More...
libmwaw::NumberingType | m_numberingType
| the number type ( for number field ) More...
std::string | m_DTFormat
| the date/time format using strftime format if defined More...
std::string | m_data
| the database/link field ( if defined ) More...

## Detailed Description

a field

## Member Enumeration Documentation

## ◆ Type

enum MWAWField::Type

Defines some basic type for field.

Enumerator
None |
PageCount |
PageNumber |
Date |
Time |
Title |
Database |

## Constructor & Destructor Documentation

## ◆ MWAWField() [1/3]

MWAWField::MWAWField | ( | Type | type | ) |
| inlineexplicit

basic constructor

## ◆ MWAWField() [2/3]

MWAWField::MWAWField | ( | MWAWField && |  | ) |
| default

## ◆ MWAWField() [3/3]

MWAWField::MWAWField | ( | MWAWField const & |  | ) |
| default

## Member Function Documentation

## ◆ addTo()

bool MWAWField::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist (if possible)

Referenced by MWAWTextListener::insertField(), MWAWPresentationListener::insertField(), MWAWGraphicListener::insertField(), and MWAWSpreadsheetListener::insertField().

## ◆ getString()

librevenge::RVNGString MWAWField::getString | ( |  | ) | const

returns a string corresponding to the field (if possible) */

Referenced by MWAWTextListener::insertField(), MWAWPresentationListener::insertField(), MWAWGraphicListener::insertField(), and MWAWSpreadsheetListener::insertField().

## ◆ operator=() [1/2]

MWAWField& MWAWField::operator= | ( | MWAWField const & |  | ) |
| default

## ◆ operator=() [2/2]

MWAWField& MWAWField::operator= | ( | MWAWField && |  | ) |
| default

## Member Data Documentation

## ◆ m_data

std::string MWAWField::m_data

the database/link field ( if defined )

## ◆ m_DTFormat

std::string MWAWField::m_DTFormat

the date/time format using strftime format if defined

Referenced by MindWrtParserInternal::Field::getField(), RagTimeTextInternal::Token::getField(), RagTimeText::send(), WriteNowText::send(), DocMkrText::sendFooter(), ActaParser::sendHeaderFooter(), PowerPoint7Text::sendText(), HanMacWrdJText::sendText(), NisusWrtText::sendText(), BeagleWksText::sendText(), HanMacWrdKText::sendText(), ClarisDrawText::sendText(), MsWrdText::sendText(), ClarisWksText::sendText(), and GreatWksTextInternal::Token::sendTo().

## ◆ m_numberingType

libmwaw::NumberingType MWAWField::m_numberingType

the number type ( for number field )

Referenced by MWAWHeaderFooter::insertPageNumberParagraph().

## ◆ m_type

Type MWAWField::m_type

the type

Referenced by MWAWTextListener::insertField(), MWAWPresentationListener::insertField(), MWAWGraphicListener::insertField(), and MWAWSpreadsheetListener::insertField().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx